BasicSplitPaneDivider.DragController (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicSplitPaneDivider.DragController class
Date: 2018-07-01

javax.swing.plaf.basic

## Class BasicSplitPaneDivider.DragController

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneDivider.DragController

- Direct Known Subclasses:
    BasicSplitPaneDivider.VerticalDragController
  Enclosing class:
    BasicSplitPaneDivider

      protected class BasicSplitPaneDivider.DragController
      extends Object

  Handles the events during a dragging session for a HORIZONTAL_SPLIT oriented split pane. This continually messages `dragDividerTo` and then when done messages `finishDraggingTo`. When an instance is created it should be messaged with `isValid` to insure that dragging can happen (dragging won't be allowed if the two views can not be resized).

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DragController(MouseEvent e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `completeDrag(int x, int y)`
    `protected void` | `completeDrag(MouseEvent e)` Messages finishDraggingTo with the new location for the mouse event.
    `protected void` | `continueDrag(int newX, int newY)`
    `protected void` | `continueDrag(MouseEvent e)` Messages dragDividerTo with the new location for the mouse event.
    `protected int` | `getNeededLocation(int x, int y)` Returns the x argument, since this is used for horizontal splits.
    `protected boolean` | `isValid()` Returns true if the dragging session is valid.
    `protected int` | `positionForMouseEvent(MouseEvent e)` Returns the new position to put the divider at based on the passed in MouseEvent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DragController

          protected DragController(MouseEvent e)

  - ### Method Detail

    - #### isValid

          protected boolean isValid()

      Returns true if the dragging session is valid.

    - #### positionForMouseEvent

          protected int positionForMouseEvent(MouseEvent e)

      Returns the new position to put the divider at based on the passed in MouseEvent.

    - #### getNeededLocation

          protected int getNeededLocation(int x,
                                          int y)

      Returns the x argument, since this is used for horizontal splits.

    - #### continueDrag

          protected void continueDrag(int newX,
                                      int newY)

    - #### continueDrag

          protected void continueDrag(MouseEvent e)

      Messages dragDividerTo with the new location for the mouse event.

    - #### completeDrag

          protected void completeDrag(int x,
                                      int y)

    - #### completeDrag

          protected void completeDrag(MouseEvent e)

      Messages finishDraggingTo with the new location for the mouse event.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.